import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:vaycore/vaycore.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-05-13
///

/// Locale资源类
class CoreLocalizations {}

/// Locale代理类
class CoreLocalizationsDelegate
    extends LocalizationsDelegate<CoreLocalizations> {
  const CoreLocalizationsDelegate();

  @override
  bool isSupported(Locale locale) {
    // 判断列表是否包含传递过来的Locale
    return core.options.locale.supportLocales
        .any((element) => element.languageCode == locale.languageCode);
  }

  @override
  Future<CoreLocalizations> load(Locale locale) {
    return new SynchronousFuture<CoreLocalizations>(new CoreLocalizations());
  }

  @override
  bool shouldReload(LocalizationsDelegate<CoreLocalizations> old) {
    return false;
  }

  static CoreLocalizationsDelegate delegate = const CoreLocalizationsDelegate();
}
