import 'package:package_info/package_info.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-05-17
///

/// 应用信息
class AppUtils {
  static String _appName;
  static String _packageName;
  static String _version;
  static String _buildNumber;

  AppUtils._();

  /// 初始化信息
  static init() async {
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    AppUtils._appName = packageInfo.appName;
    AppUtils._packageName = packageInfo.packageName;
    AppUtils._version = packageInfo.version;
    AppUtils._buildNumber = packageInfo.buildNumber;
  }

  /// 获取应用名
  static getAppName() {
    return AppUtils._appName;
  }

  /// 获取包名
  static getPackageName() {
    return AppUtils._packageName;
  }

  /// 获取版本号
  static getVersion() {
    return AppUtils._version;
  }

  /// 获取版本码
  static getBuildNumber() {
    return AppUtils._buildNumber;
  }
}
