import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:vaycore/vaycore.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-05-15
///

/// 栏相关
class BarUtils {
  static SystemUiOverlayStyle _statusBarStyle;

  /// 不允许实例化
  BarUtils._();

  /// 获取状态栏高度
  static double getStatusBarHeight() {
    return MediaQuery.of(core.context).padding.top;
  }

  /// 设置状态栏图标风格
  static setStatusBarStyle(bool isDark) {
    SystemUiOverlayStyle style =
        isDark ? SystemUiOverlayStyle.dark : SystemUiOverlayStyle.light;
    // Android状态栏透明
    style = style.copyWith(statusBarColor: Colors.transparent);
    if (style == null || style == _statusBarStyle) {
      return;
    }
    _statusBarStyle = style;
    SystemChrome.setSystemUIOverlayStyle(style);
  }

  /// 获取状态栏图标风格，在调用[setStatusBarStyle]后有效
  static SystemUiOverlayStyle getStatusBarStyle() => _statusBarStyle;
}
